# lookupAccountAssets

GET

/v2/accounts/{account-id}/assets

Lookup an account’s asset holdings, optionally for a specific ID.

## Parameters

### Path Parameters

**account-id**  
required  
string  
Account string

### Query Parameters

**asset-id**  
integer  
Asset ID

**include-all**  
boolean  
Include all items including closed accounts, deleted applications, destroyed assets, opted-out asset holdings, and closed-out application localstates.

**limit**  
integer  
Maximum number of results to return. There could be additional pages even if the limit is not reached.

**next**  
string  
The next page of results. Use the next token provided by the previous results.

## Responses

### 200

(empty)

Select media typeapplication/json

object

**assets**  
required  
Array<object>  
Describes an asset held by an account.

Definition:  
data/basics/userBalance.go : AssetHolding

object

**amount**  
required  
Number of units held.

integer

**asset-id**  
required  
Asset ID of the holding.

integer

**deleted**  
Whether or not the asset holding is currently deleted from its account.

boolean

**is-frozen**  
required  
Whether or not the holding is frozen.

boolean

**opted-in-at-round**  
Round during which the account opted into this asset holding.

integer

**opted-out-at-round**  
Round during which the account opted out of this asset holding.

integer

**current-round**  
required  
Round at which the results were computed.

integer

**next-token**  
Used for pagination, when making another request provide this token with the next parameter.

string

### 400

Response for errors

Select media typeapplication/json

object

**data**  
object

**message**  
required  
string

### 404

Response for errors

Select media typeapplication/json

object

**data**  
object

**message**  
required  
string

### 500

Response for errors

Select media typeapplication/json

object

**data**  
object

**message**  
required  
string
